* % $
******************************************************************
*          PLOTTER DESCRIPTOR FILE FOR CALCOMP 1025              *
* Version 1.0  - nur DIN Formate                         14/11/89*
******************************************************************

*Special chars are '*' for comment, '%' for special field,
*'$' for command terminator

*Name of plotter
CALCOMP 1025

******************************************************************
*Paper sizes
******************************************************************

*No of paper sizes
5

******************************************************************
*Details of 1st size
******************************************************************

*Name of 1st size
DIN A0

*Code for size
1

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left, top right hand coords
-22800 -16100  
22720 16100

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
PU;IN;$

*Close down instruction - home paper, return pen to carousel
PU 22720,16100,;PU;SP0; $


******************************************************************
*Details of 2nd size
******************************************************************

*Name of 2nd size
DIN A1

*Code for size
2

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left, top right hand coords
-16100 -11400
16100 11360

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
PU;IN;$

*Close down instruction - home paper, return pen to carousel
PU 16100,11360;PU;SP0; $

******************************************************************
*Details of 3rd size
******************************************************************

*Name of 3rd size
DIN A2

*Code for size
3

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand, top right coords
-11140 -7960
11160 7920

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter.
PU;IN;$

*Close down instruction - home paper, return pen to carousel
PU 11160,7920;PU;SP0; $

******************************************************************
*Details of 4th size
******************************************************************

*Name of 4th size
DIN A3

*Code for size
4

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left, top right hand coords
-7640 -5430
7640 5430

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
PU;IN;$

*Close down instruction - home paper, return pen to carousel
PU 7640,5430;PU;SP0; $

******************************************************************
*Details of 5th size
******************************************************************

*Name of 5th size
DIN A4

*Code for size
5

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left, top right hand coords
-5260 -3740
5260 3740

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter.
PU;IN;$

*Close down instruction - home paper, return pen to carousel
PU 5260,3740;PU;SP0; $

******************************************************************
*Plotting commands
******************************************************************

*Line from current point
PD %xe,%ye;$

*Line between 2 points
PU %xs,%ys;PD %xe,%ye;$

*Circle
%none$

*CW arc from current point
%none$

*A/CW arc from current point
%none$

*CW arc between 2 points
%none$

*A/CW arc between 2 points
%none$

*No ellipse command
%none$

*No elliptical arc commands
%none$
%none$
%none$
%none$

******************************************************************
*Pen parameters
******************************************************************

*No. of pens
8

*No. of 1st pen
1

*Select pen instruction
PU; SP %pn;$


*No. of linetypes
8

*Line type instructions
LT;$
LT 1,0.4;$
LT 1,0.5;$
LT 3,0.4;$
LT 3,0.6;$
LT 2,0.9;$
LT 4,1.8;$
LT 5,3.3;$
 

*Select pen speed instruction
%none$

*Select pen presure instruction
%none$

*Arc chord angle in mm
5.0

*Minimum step length(mm)
0.3

*Minimum no. of steps
3

*Maximum step length(mm)
5.0

*Text height (in mm) below which text is plotted with lines only
1.5

