* % $
*****************************************************************
*   PLOTTER DESCRIPTOR FILE FOR POSTCRIPT / AST TurboLaser      *
* Ver 1		                                       13.12.88 *
*	Portrait/Landscape Mode only is supported       	*
*	Paper size for user is 196 x 282 mm			*
*								*
*****************************************************************

*Special chars are '*' for comment, '%' for special field,
*'$' for command terminator

*Name of plotter
POSTCRIPT

*****************************************************************
*Paper sizes*
*****************************************************************

*No of paper sizes
2

******************************************************************
*Details of 1st size
******************************************************************


*Name of 1st size
PORTRAIT A4
*Code for size
1

*x,y displacement of plotter image from B\L
-10 -10
*Bottom left, top right hand coords
164 172
5753 8280
*Plotter units / mm
28.35 0.1

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
%%!PS-Adobe-2.0%0D%0A
%%%%Title: %ti%0D%0A
%%%%Creator: %cr%0D%0A
%%%%CreationDate: %da%0D%0A
%%%%BoundingBox: %lx %ly %ux %uy%0D%0A
%%%%Pages: 1%0D%0A
%%%%EndComments%0D%0A

/UnitsPerMM 28.35 def%0D%0A

/LineTypes [%0D%0A
	[] [20 20] [20 60] [40 40] [80 80] [100 60] [120 20 20 20] [120 20 40 20]%0D%0A
	   ] def%0D%0A

*Select linetype
/t%0D%0A
{ LineTypes exch get%0D%0A
  0 setdash%0D%0A
} def%0D%0A

/PenWidths [%0D%0A
* This line is the pen widths in mm
	0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8%0D%0A
* Dimension A
	0.2%0D%0A
* Dimension B (hairline)
	0.01%0D%0A
	   ] def%0D%0A

*Select pen width
/p%0D%0A
{ PenWidths exch get UnitsPerMM mul%0D%0A
  setlinewidth%0D%0A
} def%0D%0A

*2 point line
/l { moveto lineto stroke } def%0D%0A

*circle
/i { 0 360 arc stroke } def%0D%0A

*clockwise arc
/c { arc stroke } def%0D%0A

*anti-clockwise arc
/a { arcn stroke } def%0D%0A
%%%%EndProlog%0D%0A

%%%%BeginSetup%0D%0A
newpath 0.1 0.1 scale%0D%0A

/SaveImage save def%0D%0A

*Projecting square caps
2 setlinecap%0D%0A

* Mitred line joins ...
* Will have to wait for ordered output
* 0 setlinejoin%0D%0A
* internal angle < 60 deg will butt
* 2 setmiterlimit%0D%0A
%%%%EndSetup%0D%0A$

*Close down instruction - return paper to loading position, return pen to
*     carousel
%0D%0A
%%%%Trailer%0D%0A
showpage%0D%0A
SaveImage restore%0D%0A%04$

******************************************************************
*Details of 2nd size
******************************************************************


*Name of 2nd size
LANDSCAPE A4
*Code for size
1

*x,y displacement of plotter image from B\L
-10 -10
*Bottom left, top right hand coords
172 0
8280 5589
*Plotter units / mm
28.35 0.1

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
%%!PS-Adobe-2.0%0D%0A
%%%%Title: %ti%0D%0A
%%%%Creator: %cr%0D%0A
%%%%CreationDate: %da%0D%0A
%%%%BoundingBox: %lx %ly %ux %uy%0D%0A
%%%%Pages: 1%0D%0A
%%%%EndComments%0D%0A

/UnitsPerMM 28.35 def%0D%0A

/LineTypes [%0D%0A
	[] [20 20] [20 60] [40 40] [80 80] [100 60] [120 20 20 20] [120 20 40 20]%0D%0A
	   ] def%0D%0A

*Select linetype
/t%0D%0A
{ LineTypes exch get%0D%0A
  0 setdash%0D%0A
} def%0D%0A

/PenWidths [%0D%0A
* This line is the pen widths in mm
	0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8%0D%0A
* Dimension A
	0.2%0D%0A
* Dimension B (hairline)
	0.01%0D%0A
	   ] def%0D%0A

*Select pen width
/p%0D%0A
{ PenWidths exch get UnitsPerMM mul%0D%0A
  setlinewidth%0D%0A
} def%0D%0A

*2 point line
/l { moveto lineto stroke } def%0D%0A

*circle
/i { 0 360 arc stroke } def%0D%0A

*clockwise arc
/c { arc stroke } def%0D%0A

*anti-clockwise arc
/a { arcn stroke } def%0D%0A
%%%%EndProlog%0D%0A

%%%%BeginSetup%0D%0A
newpath 0.1 0.1 scale%0D%0A
90 rotate 0 -5700 translate%0D%0A

/SaveImage save def%0D%0A
*Projecting square caps
2 setlinecap%0D%0A
%%%%EndSetup%0D%0A$

*Close down instruction - return paper to loading position, return pen to
*     carousel
%0D%0A
%%%%Trailer%0D%0A
showpage%0D%0A
SaveImage restore%0D%0A%04$


*****************************************************************
*Plotting commands
*****************************************************************

*Line from current point
%none$

*Line between 2 points
%xe %ye %xs %ys l $

*Circle
%xc %yc %rd i $

*CW arc from current point
%none$

*A/CW arc from current point
%none$

*CW arc between 2 points
%xc %yc %rd %a2 %a1 c $

*A/CW arc between 2 points
%xc %yc %rd %a1 %a2 a $

*No ellipse command
%none$

*No elliptical arc commands
%none$
%none$
%none$
%none$

*****************************************************************
*Pen parameters
*****************************************************************

*No. of pens
10

*No. of 1st pen
0

*Select pen instruction
%pn p $

*No. of linetypes
8

*Line type instructions
0 t $
1 t $
2 t $
3 t $
4 t $
5 t $
6 t $
7 t $

*----------------------------------------------------------------------
*Select pen speed instruction
%none$


*----------------------------------------------------------------------

*Select pen pressure instruction
%none$

*Arc chord angle in degrees
3.0

*Minimum step length(mm)
0.2

*Minimum no. of steps
3

*Maximum step length(mm)
3.0

*Text height (in mm) below which text is plotted with lines only
1.0
