* % $
******************************************************************
*     PLOTTER DESCRIPTOR FILE FOR HOUSTON INSTRUMENT  DMP-40     *
*ver ST1.0b                                              13/07/86*
******************************************************************

*Special chars are '*' for comment, '%' for special field,
*'$' for command terminator

*Name of plotter
HOUSTON INSTRUMENT DMP-40

******************************************************************
*Paper sizes
******************************************************************

*No of paper sizes
4

******************************************************************
*Details of 1st size
******************************************************************

*Name of 1st size
METRIC A3
*Code for size
3

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand coords
0 0
*Top right hand coords
3810 2360

*Plotter units / mm
10

*Handedness of coords
Right

*Home counter
0

*start up instruction - select plotter mode 1, large paper, home pen,
*set origin, select metric addressing, set absolute coords
 ;:EF H O ECM A $

*Close down instruction - return pen to carousel, move paper back
*to loading position, put plotter off line
P0 U 480,0 @ $

******************************************************************
*Details of 2nd size
******************************************************************

*Name of 2nd size
METRIC A4
*Code for size
4

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand coords
0 0
*Top right hand coords
2360 1780

*Plotter units / mm
10

*Handedness of coords
Right

*Home counter
0

*start up instruction - select plotter mode 1, small paper size
*home pen, set origin, set metric addressing, set absolute coords
 ;: EH H O ECM A $

*Close down instruction - return pen to carousel, move paper back
* to loading position, put plotter off line
P0 U 0,480 @ $

******************************************************************
*Details of 3rd size
******************************************************************

*Name of 3rd size (coords identical to A3)
USA 'B'
*Code for size
7

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand coords
0 0
*Top right hand coords
3810 2360

*Plotter units / mm
10

*Handedness of coords
Right

*Home counter
0

*start up instruction - select plotter mode 1, large paper, home pen,
*set origin, select metric addressing, set absolute coords
 ;:EF H O ECM A $

*Close down instruction - return pen to carousel, move paper back
*to loading position, put plotter off line
P0 U 480,0 @ $

******************************************************************
*Details of 4th size
******************************************************************

*Name of 4th size (coords identical to A4)
USA 'A'
*Code for size
6

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand coords
0 0
*Top right hand coords
2360 1780

*Plotter units / mm
10

*Handedness of coords
Right

*Home counter
0

*start up instruction - select plotter mode 1, small paper size
*home pen, set origin, set metric addressing, set absolute coords
 ;: EH H O ECM A $

*Close down instruction - return pen to carousel, move paper back
* to loading position, put plotter off line
P0 U 0,480 @ $

******************************************************************
*Plotting commands
******************************************************************

*Line from current point
D %xe,%ye $

*Line between 2 points
U %xs,%ys D %xe,%ye $

*Circle
CC %xc,%yc,%rd $

*No arc commands
%none$
%none$
%none$
%none$

*No ellipse command
%none$

*No elliptical arc commands
%none$
%none$
%none$
%none$

******************************************************************
*Pen parameters
******************************************************************

*No. of pens
1

*No. of 1st pen
1

*Select pen instruction (not needed, so put velocity instruction as dummy)
P%pn $


*No. of linetypes
8

*Line type instructions
L0 $
L1 $
L: $
L2 $
L3 $
L6 $
L9 $
L7 $

*Select pen speed instruction
V%ps $

*No. of pen speeds
3

*Position of default speed in table
3

*Table of actual pen speeds
1 2 3


*Select pen presure instruction
%none$

*Arc chord angle in degrees
3.0

*Minimum step length(mm)
0.2

*Minimum no. of steps
3

*Maximum step length(mm)
3.0

*Text height (in mm) below which text is plotted with lines only
2.0
