* % $
******************************************************************
*       PLOTTER DESCRIPTOR FILE FOR GOULD COLORWRITER 6320       *
*ver ST1.0a                                              01/06/86*
******************************************************************

*Special chars are '*' for comment, '%' for special field,
*'$' for command terminator

*Name of plotter
GOULD COLORWRITER 6320

******************************************************************
*Paper sizes
******************************************************************

*No of paper sizes
2

******************************************************************
*Details of 1st size
******************************************************************

*Name of 1st size
METRIC A3
*Code for size
3

*x, y offset of plotter image from B\L
-999 -999
*Bottom left hand coords
0 0
*Top right hand coords
14400 11200

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
IN;$

*Close down instruction - return pen to (0,0)
PU 0,0;$

******************************************************************
*Details of 2nd size
******************************************************************

*Name of 2nd size
USA 'B'
*Code for size
7

*x, y offset of plotter image from B\L
-999 -999

*Bottom left hand coords
0 0
*Top right hand coords
14400 10400

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
IN;$

*Close down instruction - return pen to (0,0)
PU0,0;$

******************************************************************
*Plotting commands
******************************************************************

*Line from current point
PD;PA%xe,%ye;$

*Line between 2 points
PU;PA%xs,%ys;PD;PA%xe,%ye;$

*Circle
PU;PA%xc,%yc;CI %rd,4;$

*CW arc from current point
AA%xc,%yc,-%as,2;$

*A/CW arc from current point
AA%xc,%yc,%as,2;$

*CW arc between 2 points
PU%xs,%ys;PD;AA%xc,%yc,-%as,2;$

*A/CW arc between 2 points
PU%xs,%ys;PD;AA%xc,%yc,%as,2;$

*No ellipse command
%none$

*No elliptical arc commands
%none$
%none$
%none$
%none$

******************************************************************
*Pen parameters*
******************************************************************

*No. of pens
10

*No. of 1st pen
1

*Select pen instruction
SP %pn;$

*No. of linetypes
8

*Line type instructions
LT;$
LT 1,0.5;$
LT 1,2;$
LT 2,2;$
LT 3,2;$
LT 2,4;$
LT 4,6;$
LT 5,6;$

*Select pen speed instruction
VS %ps;$

*No. of different pen speeds
10

*Position of default speed in table
10

*Table of actual pen speeds
1 3 5 10 15 20 25 30 35 40


*Pen presure instruction
%none$

*Arc chord angle in degrees
5.0

*Min no. step length
1.0

*Min no. of steps
2

*Max step length
5.0

*Text height (in mm) below which text is plotted with lines only
3.0
