*=$
******************************************************************
*     HPGL/2-PLOTTER DESCRIPTOR FILE FOR COLOUR-PRINTER          *
*               HEWLETT PACKARD PaintJet XL300                   *
*       Plotter dipswitches must be set for PCL5-mode            *
* MP Version 1                                          24.01.93 *
******************************************************************

*Name of plotter
HP PaintJet XL300

* special chars are '*' for comment, '=' for special field,
* '$' for end-of-command

*******************************  Paper sizes  ****************************

*No. of paper sizes
4

******************************************************************
*Details of 1st size
******************************************************************

* Name of first size
A4 Landscape / 288x201mm

*Code for size
4

*no x, y displacement of plotter image
-999 -999

*Plot range - plotter co-ordinates, limits of possible plotting
* xmin, ymin
0 0
* xmax, ymax
11521 8041

*P/U per mm
40

*Handedness
Right

*Home counter
0

*Startup instruction - switch plotter into HPGL/2-mode,
*Papersize A4, initialize plotter, Width units metric,
*line attributes round, 7 pen-colours
=1B%-1B;PS11520,8040;IN;WU0;LA1,4,2,4;NP8$

*Closedown instruction - print the page and
*switch the plotter back into PCL5-mode
PUSP0PG;=1BE$

******************************************************************
*Details of 2nd size
******************************************************************

* Name of second size
A4 Portrait / 201x288mm

*Code for size
4
*no x, y displacement of plotter image
-999 -999

*Plot range - plotter co-ordinates, limits of possible plotting
* xmin, ymin
0 0
* xmax, ymax
8041 11521

*P/U per mm
40

*Handedness
Right

*Home counter
0

*Startup instruction - switch plotter into HPGL/2-mode,
*Papersize A4, initialize plotter, rotate 270degrees,
*width units metric, line attributes round, 7 pen colours
=1B%-1B;PS11520,8040;IN;RO270;WU0;LA1,4,2,4;NP8$

*Closedown instruction - print the page and
*switch the plotter back into PCL5-mode
PUSP0PG;=1BE$

******************************************************************
*Details of 3rd size
******************************************************************

* Name of first size
A3 Landscape / 411x288mm

*Code for size
3

*no x, y displacement of plotter image
-999 -999

*Plot range - plotter co-ordinates, limits of possible plotting
* xmin, ymin
0 0
* xmax, ymax
16441 11521

*P/U per mm
40

*Handedness
Right

*Home counter
0

*Startup instruction - switch plotter into HPGL/2-mode,
*Papersize A3, initialize plotter, Width units metric,
*line attributes round, 7 pen-colours
=1B%-1B;PS16440,11520;IN;WU0;LA1,4,2,4;NP8$

*Closedown instruction - print the page and
*switch the plotter back into PCL5-mode
PUSP0PG;=1BE$

******************************************************************
*Details of 4th size
******************************************************************

* Name of second size
A3 Portrait / 288x411mm

*Code for size
3
*no x, y displacement of plotter image
-999 -999

*Plot range - plotter co-ordinates, limits of possible plotting
* xmin, ymin
0 0
* xmax, ymax
11521 16441

*P/U per mm
40

*Handedness
Right

*Home counter
0

*Startup instruction - switch plotter into HPGL/2-mode,
*Papersize A3, initialize plotter, rotate 270degrees,
*width units metric, line attributes round, 7 pen colours
=1B%-1B;PS16440,11520;IN;RO270;WU0;LA1,4,2,4;NP8$

*Closedown instruction - print the page and
*switch the plotter back into PCL5-mode
PUSP0PG;=1BE$

******************************************************************
*Plotting commands
******************************************************************

*Line from current point
PD =xe,=ye;$

*Line between 2 points
PU =xs,=ys;PD =xe,=ye;$

*Circle
PU =xc,=yc;CI =rd,=ca;$

*CW arc from current point
PD;AA =xc,=yc,-=as,=ca;$

*A/CW arc from current point
PD;AA =xc,=yc,=as,=ca;$

*CW arc between 2 points
PU =xs,=ys;PD;AA =xc,=yc,-=as,=ca;$

*A/CW arc between 2 points
PU =xs,=ys;PD;AA =xc,=yc,=as,=ca;$

*No ellipse command
=none$

*No elliptical arc commands
=none$
=none$
=none$
=none$

**************************   Pen paramters  ******************************

*Number of pens
7

*No. of 1st pen
1

*Select pen instruction
PU;SP=pn;$

*Number of plotter line types used
8

*Line type instructions to produce aprox. matches to system's 8 styles
LT ;$
LT 1,0.25;$
LT 1,0.35;$
LT 2,0.35;$
LT 3,0.7;$
LT 2,0.8;$
LT 4,1.5;$
LT 4,3;$


*Select pen speed instruction
=none$

*Use "pen pressure" instruction for pen width assignment
PW=pp;$

*No. of "pen pressures"
8

*Position of default "pressure" in table
1

*Table of actual "pen pressures", used for pen width in mm
.08 .18 .25 .35 .5 .7 1 2

*Arc chord angle in degrees
2.0

*Minimum step length(mm)
0.2

*Minimum no. of steps
3

*Maximum step length(mm)
5.0

*Text height (in mm) below which text is plotted with lines only
1.5
