* % $
******************************************************************
*          PLOTTER DESCRIPTOR FILE FOR IOLINE LP-3700            *
*ver ST1.0b                                              21/08/86*
******************************************************************

*Special chars are '*' for comment, '%' for special field,
*'$' for command terminator

*Name of plotter
IOLINE LP-3700


******************************************************************
*Paper sizes
******************************************************************

*No of paper sizes
13

******************************************************************
*Details of 1st size
******************************************************************

*Name of 1st size
METRIC A0
*Code for size
0

*x, y displacement of plotter image from B\L
-999 -999
*Bottom left hand coords
1247 882

*Top right hand coords
16214 11465

*Plotter units / mm
15.74

*Handedness of coords
Right

*Home counter
0

*start up instruction - home pen,
*set origin, select addressing, set absolute coords
 ;: H O EC2 A $

*Close down instruction - return pen to carousel, move paper back
*to loading position, put plotter off line
 U H @ $


******************************************************************
*Details of 2nd size
******************************************************************

*Name of 2nd size
METRIC A1
*Code for size
1

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand coords
882 624
*Top right hand coords
11465 8107

*Plotter units / mm
15.74

*Handedness of coords
Right

*Home counter
0

*start up instruction - home pen,
*set origin, set addressing, set absolute coords
 ;: H O EC2 A $

*Close down instruction - return pen to carousel, move paper back
*to loading position, put plotter off line
 U H @ $

******************************************************************
*Details of 3rd size
******************************************************************

*Name of 3rd size
METRIC A2
*Code for size
2

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand coords
624 441

*Top right hand coords
8107 5732

*Plotter units / mm
15.74

*Handedness of coords
Right

*Home counter
0

*start up instruction - home pen,
*set origin, select addressing, set absolute coords
 ;: H O EC2 A $

*Close down instruction - return pen to carousel, move paper back
*to loading position, put plotter off line
 U H @ $

******************************************************************
*Details of 4th size
******************************************************************

*Name of 4th size
METRIC A3
*Code for size
3

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand coords
441 312
*Top right hand coords
5732 4054

*Plotter units / mm
15.74

*Handedness of coords
Right

*Home counter
0

*start up instruction - home pen,
*set origin, set addressing, set absolute coords
;: H O EC2 A $

*Close down instruction - return pen to carousel, move paper back
*to loading position, put plotter off line
U H @ $
******************************************************************
*Details of 5th size
******************************************************************

*Name of 5th size
METRIC A4
*Code for size
4

*x, y displacement of plotter image from B\L
-999 -999
*Bottom left hand coords
441 312

*Top right hand coords
3795 2684

*Plotter units / mm
15.74

*Handedness of coords
Right

*Home counter
0

*start up instruction - home pen,
*set origin, select addressing, set absolute coords
;: H O EC2 A $

*Close down instruction - return pen to carousel, move paper back
*to loading position, put plotter off line
U H @ $


******************************************************************
*Details of 6th size
******************************************************************

*Name of 6th size
ANSI 'E'
*Code for size
10

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand coords
1660 1283

*Top right hand coords
14287 11041

*Plotter units / mm
15.74

*Handedness of coords
Right

*Home counter
0

*start up instruction - home pen,
*set origin, set addressing, set absolute coords
;: H O EC2 A $

*Close down instruction - return pen to carousel, move paper back
*to loading position, put plotter off line
U H @ $

******************************************************************
*Details of 7th size
******************************************************************

*Name of 7th size
ANSI 'D'
*Code for size
9

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand coords
1283 830

*Top right hand coords
11041 7143

*Plotter units / mm
15.74

*Handedness of coords
Right

*Home counter
0

*start up instruction - home pen,
*set origin, select addressing, set absolute coords
;: H O EC2 A $

*Close down instruction - return pen to carousel, move paper back
*to loading position, put plotter off line
U H @ $

******************************************************************
*Details of 8th size
******************************************************************

*Name of 8th size
ANSI 'C'
*Code for size
8

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand coords
830 641

*Top right hand coords
7143 5520

*Plotter units / mm
15.74

*Handedness of coords
Right

*Home counter
0

*start up instruction - home pen,
*set origin, set addressing, set absolute coords
;: H O EC2 A $

*Close down instruction - return pen to carousel, move paper back
*to loading position, put plotter off line
U H @ $
******************************************************************
*Details of 9th size
******************************************************************

*Name of 9th size
ANSI 'B'
*Code for size
7

*x, y displacement of plotter image from B\L
-999 -999
*Bottom left hand coords
641 414

*Top right hand coords
5520 3565

*Plotter units / mm
15.74

*Handedness of coords
Right

*Home counter
0

*start up instruction - home pen,
*set origin, select addressing, set absolute coords
;: H O EC2 A $

*Close down instruction - return pen to carousel, move paper back
*to loading position, put plotter off line
U H @ $


******************************************************************
*Details of 10th size
******************************************************************

*Name of 10th size
ANSI 'A'
*Code for size
6

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand coords
414 321

*Top right hand coords
3565 2760

*Plotter units / mm
15.74

*Handedness of coords
Right

*Home counter
0

*start up instruction - home pen,
*set origin, set addressing, set absolute coords
;: H O EC2 A $

*Close down instruction - return pen to carousel, move paper back
*to loading position, put plotter off line
U H @ $

******************************************************************
*Details of 11th size
******************************************************************

*Name of 11th size
ARCH 'E'
*Code for size
13

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand coords
1810 1358

*Top right hand coords
15580 11685

*Plotter units / mm
15.74

*Handedness of coords
Right

*Home counter
0

*start up instruction - home pen,
*set origin, select addressing, set absolute coords
;: H O EC2 A $

*Close down instruction - return pen to carousel, move paper back
*to loading position, put plotter off line
U H @ $

******************************************************************
*Details of 12th size
******************************************************************

*Name of 12th size
ARCH 'D'
*Code for size
8

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand coords
1357 904

*Top right hand coords
11680 7782

*Plotter units / mm
15.74

*Handedness of coords
Right

*Home counter
0

*start up instruction - home pen,
*set origin, set addressing, set absolute coords
;: H O EC2 A $

*Close down instruction - return pen to carousel, move paper back
*to loading position, put plotter off line
U H @ $

******************************************************************
*Details of 13th size
******************************************************************

*Name of 12th size
ARCH 'C'
*Code for size
8

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand coords
904 678

*Top right hand coords
7782 5840

*Plotter units / mm
15.74

*Handedness of coords
Right

*Home counter
0

*start up instruction - home pen,
*set origin, set addressing, set absolute coords
;: H O EC2 A $

*Close down instruction - return pen to carousel, move paper back
*to loading position, put plotter off line
U H @ $

*****************************************************************
*Plotting commands*
*****************************************************************

*Line from current point
D %xe,%ye $

*Line between 2 points
U %xs,%ys D %xe,%ye $

*Circle
CC %xc,%yc,%rd $

*No arc commands
%none$
%none$
%none$
%none$

*No ellipse command
%none$

*No elliptical arc commands
%none$
%none$
%none$
%none$

*****************************************************************
*Pen parameters
*****************************************************************

*No. of pens
1

*No. of 1st pen
1

*Select pen instruction
P%pn $


*No. of linetypes
8

*Line type instructions
L0 $
L1 $
L: $
L2 $
L3 $
L6 $
L9 $
L7 $

*Select pen speed instruction
V%ps $

*No. of different pen speeds
7

*Position of default speed in table
7

*Table of actual pen speeds
1 2 3 4 6 8 10

*Select pen presure instruction
%none$

*Arc chord angle in degrees
3.0

*Minimum step length(mm)
0.2

*Minimum no. of steps
3

*Maximum step length(mm)
3.0

*Text height (in mm) below which text is plotted with lines only
2.0
