* % $
******************************************************************
*         PLOTTER DESCRIPTOR FILE FOR GRAPHTEC PD9111            *
*ver MP 1.0                                              13.12.88*
******************************************************************

*Special chars are '*' for comment, '%' for special field,
*'$' for command terminator

*Name of plotter
GRAPHTEC PD9111

******************************************************************
*Paper sizes
******************************************************************

*No of paper sizes
4

******************************************************************
*Details of 1st size
******************************************************************

*Name of 1st size
METRIC A1
*Code for size
1

*x,y displacement of plotter image from B\L
-999 -999
*Bottom left, top right hand coords
0 0
31800 22560

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - home pen (initialisation comand : doesn't seem to work)
H $

*Close down instruction - return pen to home position
H $

******************************************************************
*Details of 2nd size
******************************************************************

*Name of 2nd size
METRIC A2

*Code for size
2

*x,y displacement of plotter image from B\L
-999 -999
*Bottom left, top right hand coords
0 0
22560 15040

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - home pen
H $

*Close down instruction - return pen to home position
H $

******************************************************************
*Details of 3rd size
******************************************************************

*Name of 3rd size
METRIC A3

*Code for size
3

*x,y displacement of plotter image from B\L
-999 -999
*Bottom left, top right hand coords
0 0
15600 10120

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - home pen
H $

*Close down instruction - return pen to home position
H $

******************************************************************
*Details of 4th size
******************************************************************

*Name of 4th size
METRIC A4

*Code for size
4

*x,y displacement of plotter image from B\L
-999 -999
*Bottom left, top right hand coords
0 0
10120 6640

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - home pen
H $

*Close down instruction - return pen to home position
H $

******************************************************************
*Plotting commands
******************************************************************

*Line from current point
D %xe,%ye%0D$

*Line between 2 points
M %xs,%ys,D %xe,%ye%0D$

*Circle (This is actually a spiral command, adjusted to produce a circle)
W %xc,%yc,%rd,%rd,0,3600%0D$

*Arc commands not accurate enough (only tenths of a degree can be specified)
%none$
%none$
%none$
%none$

*Ellipse command
%none$

*Elliptical arc commands not accurate enough (only 10th's of a degree can be
*								specified)
%none$
%none$
%none$
%none$


******************************************************************
*Pen parameters
******************************************************************

*No. of pens
4

*No. of 1st pen
1

*Select pen instruction
J %pn%0D$


*No. of linetypes
8

*Line type instructions
L%0D$
L1%0D B15%0D$
L1%0D B60%0D$
L3%0D B60%0D$
L4%0D B60%0D$
L3%0D B120%0D$
L5%0D B150%0D$
L6%0D B150%0D$

*Select pen speed instruction
! %ps%0D$

*No. of different pen speeds
10

*Position of default speed in table
10

*Table of actual pen speeds
1 2 3 4 5 6 7 8 9 10


*Select pen presure instruction
%none$

*Arc chord angle in degrees
3.0

*Min step length for arc plotting in mm
0.2

*min num of steps to draw arc
3

*Max step length for arc plotting in mm
3.0

*Text height (in mm) below which text is plotted with lines only
2.0
