* % $
******************************************************************
*         PLOTTER DESCRIPTOR FILE FOR ROLAND DG DPX-2000         *
*ver ST1.0b                                              11/10/86*
******************************************************************

*Special chars are '*' for comment, '%' for special field,
*'$' for command terminator

*Name of plotter
Roland DG DPX-2000

******************************************************************
*Paper sizes
******************************************************************

*No of paper sizes
6

******************************************************************
*Details of 1st size
******************************************************************

*Name of 1st size
METRIC A2

*Code for size
2

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left hand, top right coords
-11480 -8120
11480 8120

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter and set buffer.
%1B.R%1B.T15358;2:%1B.@15358: DF;$

*Close down instruction
SP0;$

******************************************************************
*Details of 2nd size
******************************************************************

*Name of 2nd size
METRIC A3

*Code for size
3

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left, top right hand coords
-11480 -8120
4520 3200

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter and set buffer.
%1B.R%1B.T15358;2:%1B.@15358: DF;$

*Close down instruction
SP0;$

******************************************************************
*Details of 3rd size
******************************************************************

*Name of 3rd size
METRIC A4

*Code for size
4

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left, top right hand coords
-11480 -8120
-400 -280

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter and set buffer.
%1B.R%1B.T15358;2:%1B.@15358: DF;$

*Close down instruction
SP0;$

******************************************************************
*Details of 4th size
******************************************************************

*Name of 4th size
ANSI 'C'

*Code for size
8

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left, top right hand coords
-11480 -8120
10040 8560

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter and set buffer.
%1B.R%1B.T15358;2:%1B.@15358: DF;$

*Close down instruction
SP0;$

******************************************************************
*Details of 5th size
******************************************************************

*Name of 5th size
ANSI 'B'

*Code for size
7

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left, top right hand coords
-11480 -8120
4960 2480

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter and set buffer.
%1B.R%1B.T15358;2:%1B.@15358: DF;$

*Close down instruction
SP0;$

******************************************************************
*Details of 6th size
******************************************************************

*Name of 6th size
ANSI 'A'

*Code for size
6

*x, y displacement of plotter image from B\L
-999 -999

*Bottom left, top right hand coords
-11480 -8120
-1120 -80

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter and set buffer.
%1B.R%1B.T15358;2:%1B.@15358: DF;$

*Close down instruction
SP0;$

******************************************************************
*Plotting commands
******************************************************************

*Line from current point
PD %xe,%ye;$

*Line between 2 points
PU %xs,%ys;PD %xe,%ye;$

*Circle
PU %xc,%yc;CI %rd,%ca;$

*CW arc from current point
%none$

*A/CW arc from current point
%none$

*CW arc between 2 points
%none$

*A/CW arc between 2 points
%none$

*No ellipse command
%none$

*No elliptical arc commands
%none$
%none$
%none$
%none$

******************************************************************
*Pen parameters
******************************************************************

*No. of pens
8

*No. of 1st pen
1

*Select pen instruction
SP %pn;$


*No. of linetypes
8

*Line type instructions
LT;$
LT 1,0.3;$
LT 1,0.3;$
LT 2,0.5;$
LT 3,0.5;$
LT 2,0.6;$
LT 4,1.4;$
LT 5,2.4;$


*Select pen speed instruction
VS %ps;$

*No. of different pen speeds
9

*Position of default speed in table
9

*Table of actual pen speeds
1 2 5 10 15 20 25 30 40

*Select pen presure instruction
FS %pp;$

*No. of pen pressures
8

*Position of default pressure in table
2

*Table of actual pen pressures
1 3 5 7 9 11 13 15

*Arc chord angle in
3.0

*Minimum step length(mm)
.5

*Minimum no. of steps
3

*Maximum step length(mm)
5.0

*Text height (in mm) below which text is plotted with lines only
2.0
